Subject: bug#17943: closed (Re: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode on Debian 7)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Jul 2014 13:34:05 +0000

Your bug report

#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode on Debian 7

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17943: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17943
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17943: parted-3.1.90 alpha make check fails t0251-gpt-unicode on Debian 7
From: Phillip Susi <[email-masked]>
To: Curtis Gedak <[email-masked]>, [email-masked]
Date: Mon, 21 Jul 2014 09:32:41 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On 7/17/2014 3:35 PM, Curtis Gedak wrote:
> Hi Phillip,
> 
> In my Debian 7 VM I ran 'apt-get update' and 'apt-get upgrade' to
> ensure that I had the latest packages.
> 
> Next I removed the entire parted-3.1.90 directory, rebuilt parted,
> and then ran 'make check' as root again.  The same error occurs.
> 
> Attached is the log (t0251-gpt-unicode.log) as requested in:

You have a bunch of errors like this:

warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8): No
such file or directory

So it looks like something is broken in your vm that is preventing
apps from using UTF-8.

Subject: parted-3.1.90 alpha make check fails t0251-gpt-unicode on Debian 7
From: Curtis Gedak <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Fri, 04 Jul 2014 19:46:58 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

First, thank you for working towards another parted release.  It's been 
quite a while since the last one so I appreciate your efforts.

To try to get this next parted release as bug free as possible I will 
test it across a number of distros that we use for GParted testing.  The 
source tarball I am using is the parted-3.1.90 alpha release from 
http://alpha.gnu.org/gnu/parted/

Following is some information from running "make check" both as a normal 
user and as root:

DEBIAN 7 - 32 bit
=================

$ make check
<snip>
============================================================================
Testsuite summary for GNU parted 3.1.90
============================================================================
# TOTAL: 78
# PASS:  39
# SKIP:  38
# XFAIL: 0
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to [email-masked]
============================================================================

$ grep FAIL tests/test-suite.log
# XFAIL: 0
# FAIL:  1
FAIL: t0251-gpt-unicode

# make check
<snip>
PASS: t8000-loop.sh
PASS: t8001-loop-blkpg.sh
t9010-big-sector.sh rmmod scsi_debug...
PASS: t9010-big-sector.sh
t9020-alignment.sh rmmod scsi_debug...
PASS: t9020-alignment.sh
PASS: t9021-maxima.sh
PASS: t9022-one-unit-snap.sh
PASS: t9023-value-lt-one.sh
t9030-align-check.sh /dev/sdc1 failed to disappear
t9030-align-check.sh /dev/sdc1 failed to disappear
t9030-align-check.sh /dev/sdc1 failed to disappear
....

This is report is from the first distro I used in testing 
parted-3.1.90.  If you need additional information then just let me know.

Regards,
Curtis Gedak